<?php
/**
 * Clase DocumentoClienteBL
 *
 * @package    
 * @subpackage 
 * @author     DocumentoClienteBL
 * @version    SVN: $Id: DocumentoClienteBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class DocumentoClienteBL{
    
  /**
  * 
  *
  * @param $o_DocumentoClienteBean, objeto de tipo DocumentoCliente 
  * @return Boolean
  */
  public function getDocumentoCliente(DocumentoClienteBean $o_DocumentoClienteBean){
    
    $o_DocumentoClienteCT = new DocumentoClienteCT();
    return $o_DocumentoClienteCT->seleccionar($o_DocumentoClienteBean);
    
  }
  
  
  
  public function realizarDocumentoCliente(DocumentoClienteBean $o_DocumentoClienteBean){
    
    
  }
  
  
   public function busquedaDocumentoClienteDetalle(DocumentoClienteBean $o_DocumentoClienteBean){
    
    $tmp_ObjDocumentoCliente = $this->getDocumentoCliente($o_DocumentoClienteBean);
    
    
    return $tmp_ObjDocumentoCliente;
   
     
  }
  
  
  
  /*public function busquedaDocumentoClienteDetalle(DocumentoClienteBean $o_DocumentoClienteBean){
    
    $tmp_ObjDocumentoCliente = $this->getDocumentoCliente($o_DocumentoClienteBean);
    
    if (is_array($tmp_ObjDocumentoCliente)){
      
      foreach ($tmp_ObjDocumentoCliente as $iKey => $tmp_DocumentoClienteBean){
        
        $o_ColaboradorBean = new ColaboradorBean();
        $o_ColaboradorBean->setIdColaborador($tmp_DocumentoClienteBean->getIdColaborador());
        $o_ColaboradorBL = new ColaboradorBL();
        $o_ColaboradorBean = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
        
        $tmp_DocumentoClienteBean->setObjectColaborador($o_ColaboradorBean);
        
      }
      
    }else{
      
      if($tmp_ObjDocumentoCliente){
      
        $o_ColaboradorBean = new ColaboradorBean();
        $o_ColaboradorBean->setIdColaborador($tmp_ObjDocumentoCliente->getIdColaborador());
        $o_ColaboradorBL = new ColaboradorBL();
        $o_ColaboradorBean = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
        
       $tmp_ObjDocumentoCliente->setObjectColaborador($o_ColaboradorBean);
        
      }else{
        
        return array();
        
      }
      
    }
    
    return $tmp_ObjDocumentoCliente;
   
     
  }*/
  /**
	* Función que retorna un objeto DocumentoCliente o una lista de Objetos de DocumentoCliente,
	* dependiendo del parametro que se le envia si este contiene o no el Id de DocumentoCliente
	*
	* @param $o_DocumentoClienteBean, es un objeto de tipo DocumentoCliente
	* @return Object
	*/
   public function modificarEstadoDocumentoCliente(DocumentoClienteBean $o_DocumentoClienteBean){
	  $o_DocumentoClienteCT = new DocumentoClienteCT();
    return $o_DocumentoClienteCT->modificar($o_DocumentoClienteBean);
	}
  
	public function modificarDocumentoCliente(DocumentoClienteBean $o_DocumentoClienteBean){
	  $o_DocumentoClienteCT = new DocumentoClienteCT();
    return $o_DocumentoClienteCT->modificar($o_DocumentoClienteBean);
	}
  
    public function eliminarDocumentoCliente(DocumentoClienteBean $o_DocumentoClienteBean){
    $o_DocumentoClienteCT = new DocumentoClienteCT();
    return $o_DocumentoClienteCT->eliminar($o_DocumentoClienteBean);
  }
  
   
 
  
  public function insertarDocumentoCliente(DocumentoClienteBean $o_DocumentoClienteBean){
     $o_DocumentoClienteCT = new DocumentoClienteCT();
     return $o_DocumentoClienteCT->guardar($o_DocumentoClienteBean);
  }
  
  
}